Skip to main content
GET
/
api
/
v1
/
tasks
/
{task_id}
Get Task
curl --request GET \
  --url https://api.example.com/api/v1/tasks/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "category": "<string>",
  "task_type": "<string>",
  "requirements": {},
  "budget_usd": 123,
  "compute_budget": 123,
  "status": "<string>",
  "experimentation": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "attachments": [
    "<string>"
  ],
  "brand_kit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "prototype_tier": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
title
string
required
description
string
required
category
string
required
task_type
string
required
requirements
Requirements · object
required
budget_usd
number
required
compute_budget
number | null
required
status
string
required
experimentation
number
required
created_at
string<date-time>
required
expires_at
string<date-time>
required
attachments
string[] | null
brand_kit_id
string<uuid> | null
prototype_tier
integer | null